#include<bits/stdc++.h>
using  namespace std;
int q,n,c,l,r.h;
char s[200005]
int main{
    cin>>n>>c>>q;
    for(int i=1;i<=n;i++){
        cin>>s[i];
    }
    for(int i=1;i<=q;i++){
        cin>>l>>r;
        for(int j=l;j<=r;j++){
            if(s[j]=="1")s[j]="0";
            else s[j]="1";
        }
        for(int j=1;j<=n;j++){
            if(s[j]=="1")h++;
        }
    }
    return 0;
}